%define builtin_release_version 6%{builtin_release_variant}
%define builtin_release_variant Server
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define current_arch %{_arch}
%ifarch i386 i686
%define current_arch x86
%endif
Summary:  Oracle Linux 6 release notes files
Name: oraclelinux-release-notes
Version: %{real_release_version}
Release: 13
License: GPL
Group: System Environment/Base
Source: oraclelinux-release-notes-%{builtin_release_version}.tar.gz
Obsoletes: indexhtml  redhat-release-notes Red_Hat_Enterprise_Linux-Release_Notes-6-en-US
BuildRoot: %{_tmppath}/oraclelinux-release-notes-root
Provides: indexhtml redhat-release-notes Red_Hat_Enterprise_Linux-Release_Notes-6-en-US

%description
Oracle Linux 6 release notes files.

%prep
%setup -q -n oraclelinux-release-notes-%{builtin_release_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
cp -rf  $RPM_BUILD_DIR/oraclelinux-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}/.
#install -m 644 -d $RPM_BUILD_DIR/redhat-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{current_arch}/R*
%doc %{current_arch}/blafdoc.css
%{_defaultdocdir}/HTML

%changelog
* Wed Oct 14 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-13
- Updated Release Notes for 6.6

* Fri Aug 22 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-12
- Updated README for 6.6

* Mon Nov 25 2013 Tianyue Lan <tianyue.lan@oracle.com> - 6-11
- Updated with latest Release notes

* Fri Nov 22 2013 Tianyue Lan <tianyue.lan@oracle.com> - 6-10
- Update README for 6.5

* Mon Feb 25 2013 Shu Li <shu.li@oracle.com> - 6-9
- Update README for 6.4

* Sun Feb 24 2013 Tianyue Lan <tianyue.lan@oracle.com> - 6-8
- Update README for 6.4
- Update RELEASE-NOTES for 6.4 (keshav.sharma@oracle.com)

* Sun Jun 24 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-7
- Update README for 6.3
- Update RELEASE-NOTES for 6.3 (avi.miller@oracle.com)

* Fri Dec 09 2011 Keshav Sharma <keshav.sharma@oracle.com> - 6-6
- Update README for 6.2
- Update RELEASE-NOTES for 6.2

* Tue May 24 2011 Keshav Sharma <keshav.sharma@oracle.com> - 6-5
- Updated RELEASE-NOTES

* Tue May 24 2011 Keshav Sharma <keshav.sharma@oracle.com> - 6-4
- Update README for 6.1
- Update RELEASE-NOTES for 6.1

* Sat Jan 29 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-3
- Update README
- Update RELEASE-NOTES (Van Okamura)

* Tue Jan 11 2011 Tianyue Lan <tianyue.lan@oracle.com> - 6-2
- Remove the definition of builtin_release_name 

* Tue May 25 2010 Fredrick He <fredrick.he@oracle.com> - 6-1
- Some text changes from 5 -> 6
- need OEL6 README and RELEASE-NOTES to add
- Rename usr/share/doc/HTML/index.html to oraclelinux-index.html 
  in order to avoid conflics with redhat-indexhtml

* Thu Apr 02 2010  Keshav Sharma <keshav.sharma@oracle.com> 5-17
- Updated html release notes to use utf-8 charset.

* Thu Apr 01 2010  Keshav Sharma <keshav.sharma@oracle.com> 5-16
- Updated README Files
- Updated release notes for OEL 5.5

* Thu Sep 04 2009  Keshav Sharma <keshav.sharma@oracle.com> 5-15
- Updated README Files

* Thu Sep 03 2009  Keshav Sharma <keshav.sharma@oracle.com> 5-14
- Updated release notes for OEL 5.4
- Updated README files
- Added ia64 release notes and readme.

* Sun Jan 25 2009  Keshav Sharma <keshav.sharma@oracle.com> 5-12
- Updated release notes. 

* Thu Jan 22 2009  Keshav Sharma <keshav.sharma@oracle.com> 5-11
- Updated release notes for OEL 5.3

* Tue May 27 2008  Keshav Sharma <keshav.sharma@oracle.com> 5-10
- Updated release notes 

* Fri May 23 2008  Keshav Sharma <keshav.sharma@oracle.com> 5-9
- Updated release notes for el5u2

* Wed Nov 14 2007  Keshav Sharma <keshav.sharma@oracle.com> 5-8
- Updated release notes for el5u1

* Tue Jun 12 2007  Keshav Sharma <keshav.sharma@oracle.com> 5-7
- Updated release notes.

* Thu Jun 07 2007  Keshav Sharma <keshav.sharma@oracle.com> 5-6
- Updated Readme and release notes.

* Thu May 23 2007  Keshav Sharma <keshav.sharma@oracle.com> 5-5
- Created

